/* Tennis Tournament Management System 2005 by Silvio Moioli
    and Davide Gottini (moio@tiscali.it, davide.gottini@virgilio.it).

	


	ATTENZIONE: questa è la versione DEBUG del programma, pertanto non
	contiene alcuni dei cambiamenti che sono inglogati nella versione
	RELEASE. Si consiglia di usare sempre e solo la versione RELEASE.

	Questa versione è stata pubblicata SOLO per documentare le fasi intermedie
	del lavoro con le assertions e i programmi di prova (come descritto nella
	documentazione)!!!


 */
#include "liste.h"
#include "file.h"
#include "giocatore.h"
#include "partita.h"
#include "ui.h"
using namespace std;

#ifndef TT_MENU
#define TT_MENU

void menuPrincipale(const char* nomeFileGiocatori, const char* nomeFilePartite);
void menuTurno(const char* fileGiocatori,const char* filePartite);
void inizializzazione(const char* fileGiocatori,const char* filePartite);
void menuNuovaPartita(const char* fileGiocatori,const char* filePartite);
void turniPassati(const char* fileGiocatori,const char* filePartite);
void menuGiocatori(const char* fileGiocatori,const char* filePartite);
void dettagliGiocatore(const char* fileGiocatori,const char* filePartite);
void partiteGiocateTurno(int turno, const char* fileGiocatori,const char* filePartite);
void chiudiTurno(int turno,const char* fileGiocatori,const char* filePartite);
void partiteTorneo(const char* fileGiocatori,const char* filePartite);
void giocatoriTorneo(const char* fileGiocatori,const char* filePartite);
void elencoGiocatori(const char* fileGiocatori,const char* filePartite);
void carrieraGiocatore(const char* fileGiocatori,const char* filePartite,int giocatore);
void aggiungiGiocatore(const char* fileGiocatori,const char* filePartite);
int cambiaGiocatore(const char* fileGiocatori,const char* filePartite,
Partita* p, int daCambiare);
int cambiaRisultato(Partita* p, int daCambiare);
bool menuNuovaPartitaMostra(const char* fileGiocatori,
 const char* filePartite, Partita* p);

#endif
