/* Tennis Tournament Management System 2005 by Silvio Moioli
    and Davide Gottini (moio@tiscali.it, davide.gottini@virgilio.it).

	


	ATTENZIONE: questa è la versione DEBUG del programma, pertanto non
	contiene alcuni dei cambiamenti che sono inglogati nella versione
	RELEASE. Si consiglia di usare sempre e solo la versione RELEASE.

	Questa versione è stata pubblicata SOLO per documentare le fasi intermedie
	del lavoro con le assertions e i programmi di prova (come descritto nella
	documentazione)!!!


 */
#include <cstdlib>
#include <assert.h>
using namespace std;

#ifndef TT_LISTE
#define TT_LISTE

/** Descrive un elemento della lista. */
struct ElemLista {
    const void *elemento;
    ElemLista *prossimo;
};

/** Descrive un'intera lista. */
struct Lista {
    ElemLista *testa;
    ElemLista *coda;
    int n;
};

/** Crea una nuova lista */
Lista *listeCreaLista(const void *primo);       //con primo==NULL crea lista vuota
/** Dealloca una lista e i rispettivi elementi */
void listeDistruggiLista(Lista * l);    //distrugge anche l
/** Accoda un nuovo elemento */
void listeAggiungiElemento(Lista * l, const void *elemento);    //in coda
/** Legge l'i-esimo elemento */
const void *listeLeggiElemento(Lista * l, int i);       //0<=i<listaLunghezza(l)
/** Rimpiazza l'i-esimo elemento */
void listeScriviElemento(Lista * l, int i, const void *elemento);       //0<=i<listaLunghezza(l)
//RICORDARSI di deallocare l'elemento prima di sovrascriverlo

#endif
